System.Design 2.0.0.0 System.Object System.ComponentModel.Design.Serialization.IDesignerSerializationProvider System.IDisposable

The class is a serialization provider that provides a localization feature. It supports serializing to resources through , and it adds two properties to the root component: Language and Localizable. If Localizable is set to true, this provider changes the way that component properties are generated and routes their values to a resource file. Two localization models are supported.

You can control the cultures that are offered and the style of localization with constructor parameters.

Provides CodeDOM resource serialization services. This class cannot be inherited.

- Constructor
  2.0.0.0

  The constructor creates a new adapter and attaches it to the serialization manager. This adds itself as a serializer for resources into the serialization manager, and, if not already added, adds itself as an extender provider to the root component.

  If the parameter is not , the provides the Language and Localizable properties.

  Initializes a new instance of the class.

  An used by the localization provider to add its extender properties.
  A value indicating the localization model to be used by the CodeDOM resource adapter
- Constructor
  2.0.0.0

  The constructor creates a new adapter and attaches it to the serialization manager. This adds itself as a serializer for resources into the serialization manager, and, if not already added, adds itself as an extender provider to the root component.

  If the parameter is not , the provides the Language and Localizable properties.

  If is not provided, the default is all cultures that are currently installed on the computer. If an array of cultures is provided, and it includes cultures that are not installed on the computer, those cultures are not available.

  Initializes a new instance of the class.

  An used by the localization provider to add its extender properties.
  A value indicating the localization model to be used by the CodeDOM resource adapter
  An array of cultures that this resource adapter should support.
- Method
  2.0.0.0
  System.Void To be added.

  Releases all resources used by the .

- Method
  2.0.0.0
  System.Object `` `` `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  An instance of a serializer of the type requested, or null if the request cannot be satisfied.

  The serialization manager requesting the serializer. An instance of the current serializer of the specified type. This can be null if no serializer of the specified type exists. The data type of the object to serialize. The data type of the serializer to create.